Commit adca042e authored by Brad Hards's avatar Brad Hards

Remove the version check. OK'd by krh.

parent bc57f8dd
2005-12-07 Brad Hards <bradh@frogmouth.net>
* poppler/PDFDoc.cc: Remove the version check.
* qt4/src/poppler-document.cc:
qt4/src/poppler-qt4.h: add in a new method infoKeys() - to get metadata keys
......
......@@ -310,11 +310,7 @@ void PDFDoc::checkHeader() {
pdfVersion = atof(p);
setlocale(LC_NUMERIC, theLocale);
}
if (!(hdrBuf[i+5] >= '0' && hdrBuf[i+5] <= '9') ||
pdfVersion > supportedPDFVersionNum + 0.0001) {
error(-1, "PDF version %s -- xpdf supports version %s"
" (continuing anyway)", p, supportedPDFVersionStr);
}
// We don't do the version check. Don't add it back in.
}
GBool PDFDoc::checkEncryption(GooString *ownerPassword, GooString *userPassword) {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment